import { Reference } from './git';
export type RepoSlug = `${string}/${string}`;
export interface GithubRequestConfig {
    repo: string;
    token: string | null;
}
export interface GithubRelease {
    id?: string;
    tag_name: string;
    name?: string;
    body?: string;
    draft?: boolean;
    prerelease?: boolean;
}
export declare function getGitHubRepoSlug(remoteName?: string): RepoSlug;
export declare function createOrUpdateGithubRelease(githubRequestConfig: GithubRequestConfig, release: {
    version: string;
    body: string;
    prerelease: boolean;
}, existingGithubReleaseForVersion?: GithubRelease): Promise<void>;
export declare function resolveGithubToken(): Promise<string | null>;
export declare function getGithubReleaseByTag(config: GithubRequestConfig, tag: string): Promise<GithubRelease>;
export declare function formatReferences(references: Reference[], repoSlug: RepoSlug): string;
